Skip to Content
APIsWallets

Wallets

Crypto wallet API

Introduction

The Wallets API provides developers with functionality to manage and retrieve information related to crypto wallets with their accounts.

  • Wallets:
    • Obtain a detailed list of wallets linked to a specific API key.
    • Fetch specific wallet details by querying with the wallet ID.
    • Facilitate the creation of new wallets by submitting wallet information in the request body.
    • Deletes a specific wallet by providing the wallet ID.

Post Wallets

POSThttps://api.adesic.com/v2/transactions/wallets

Create a new crypto wallet by providing the required wallet details. Upon a successful request, it returns a 201 status code along with the details of the created wallet.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Request Body

NameTypeDescription
wallet*objectWallet details.
wallet.address*stringThe wallet address.
wallet.blockchain*stringThe blockchain the wallet is associated with.

Response

{ "id": "wal-123456785", "userId": "usr-123456788", "address": "some-addy", "blockchain": "some-chain", "createdAt": "2024-02-02T02:09:55.963", "updatedAt": "2024-02-02T02:09:55.958" }

Get Wallets

GEThttps://api.adesic.com/v2/transactions/wallets

Retrieves all crypto wallets associated with the provided API key. Upon a successful request, it returns a 200 status code and a list of wallets.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Response

[ { "id": "wal-123456788", "userId": "usr-123456788", "address": "someAddress", "blockchain": "ethereum", "createdAt": "2024-01-30T15:06:08.568", "updatedAt": "2024-01-30T15:06:08.563" }, { "id": "wal-123456785", "userId": "usr-123456788", "address": "1234568", "blockchain": "bitcoin", "createdAt": "2024-02-02T02:09:55.963", "updatedAt": "2024-02-02T02:09:55.958" } ]

Get Wallet by ID

GEThttps://api.adesic.com/v2/transactions/wallets/{walletId}

Retrieves the details of a specific crypto wallet using its unique wallet ID. Upon a successful request, it returns a 200 status code and the details of the requested wallet.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Query Parameters

NameTypeDescription
walletId*stringWallet Id

Response

{ "id": "wal-123456785", "userId": "usr-123456788", "address": "some-addy", "blockchain": "bitcoin", "createdAt": "2024-02-02T02:09:55.963", "updatedAt": "2024-02-02T02:09:55.958" }

Delete Wallet by ID

DELETEhttps://api.adesic.com/v2/transactions/wallets/{walletId}

Deletes a specified crypto wallet using its unique wallet ID. Upon a successful request, it returns a 204 status code indicating that the wallet has been deleted.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Query Parameters

NameTypeDescription
walletId*stringWallet Id

Response

No Content

Copy & Paste Code

POST Wallets

post_wallet.sh
curl -X POST \ -H "Content-Type: application/json" \ -H "api-key: your-api-key" \ -d '{ "wallet": { "address": "0xsome-address", "blockchain": "ethereum" } }' \ https://api.adesic.com/v2/transactions/wallets

GET Wallets

get_wallets.sh
curl -H "api-key: YOUR_API_KEY" "https://api.adesic.com/v2/transactions/wallets"

Wallets Response Object

Example URL: https://api.adesic.com/v2/transactions/wallets 

{ "id": "wal-123456785", "userId": "usr-123456788", "address": "some-addy", "blockchain": "some-chain", "createdAt": "2024-02-02T02:09:55.963", "updatedAt": "2024-02-02T02:09:55.958" }

Wallets Response Attributes

Attribute NameData TypeDescription
idstringWallet Id for the user.
userIdstringUnique user Id.
addressstringThe crypto wallet address.
blockchainstringThe blockchain the wallet is on.
createdAtstringThe timestamp the wallet was created at.
updatedAtstringThe last timestamp the wallet was updated at.

© Adesic LLC. All Rights Reserved